#!/usr/bin/env python 

#from xml.dom.ext.reader.Sax import FromXmlFile 

class BoundedValue:

    def __init__(self, aValue, aMin = None , aMax = None):
	self.value = aValue
	self.min = aMin
	self.max = aMax

    def set_min(self, aMin):
	self.min = aMin

    def set_max(self, aMax):
	self.max = aMax

    def read_from_XML_tag(self, aTag):
	anInstance = BoundedValue(aTag.getAttribute("value"))
	if aTag.getAttribute("min") is not None:
	  anInstance.set_min(aTag.getAttribute("min"))
	if aTag.getAttribute("max") is not None:
	  anInstance.set_max(aTag.getAttribute("max"))
	return anInstance
    read_from_XML_tag = classmethod(read_from_XML_tag)

    def to_xml(self, tagName):
	return "<"+tagName+" value=\""+ str(self.value) +"\" min=\""+ str(self.min)+"\" max=\""+str(self.max)+"\" />"
	
    def __str__(self):
        return "%s in[%s,%s]" % (self.value,self.min,self.max)

    def merge_with(self, anOtherBoundedValue):
	self.value = anOtherBoundedValue.value
	self.min = anOtherBoundedValue.min
	self.max = anOtherBoundedValue.max

